#ifndef QAUDIO_P_H
#define QAUDIO_P_H

#include <qsocknot.h>

#define INT32 auINT32
#include <audio/audiolib.h>
#include <audio/soundlib.h>
#undef INT32


class QAuServer : public QObject {
	Q_OBJECT

private:
	AuServer *nas;
	QSocketNotifier* sn;

public:
	QAuServer();
	~QAuServer();
	void play(const char* filename, double volume_percent);
	bool okay();

public slots:
	void dataReceived();

protected:
	void timerEvent(QTimerEvent*);
};

#endif
